/* Copyright (c) 2004 Marijn Haverbeke
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any
 * damages arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any
 * purpose, including commercial applications, and to alter it and
 * redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software. If you use this
 *    software in a product, an acknowledgment in the product
 *    documentation would be appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must
 *    not be misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source
 *    distribution.
 *
 * Marijn Haverbeke
 * marijn(at)haverbeke.nl
 */

#ifndef FILLER_HPP
#define FILLER_HPP

#include <wx/wx.h>

class Piece;

// Fills pieces with the image
class Jigsaw_Filler
{
public:
  Jigsaw_Filler(wxImage& image, int width, int height);

  void Fill_Piece(Piece* piece);

private:
  int _width;
  int _height;
  wxImage& _image;
};

#endif //FILLER_HPP
